Package com.artofsolving.jodconverter.openoffice.converter

# Class AbstractOpenOfficeDocumentConverter

java.lang.Object
com.artofsolving.jodconverter.openoffice.converter.AbstractOpenOfficeDocumentConverter

All Implemented Interfaces:
  `DocumentConverter`

Direct Known Subclasses:
  `OpenOfficeDocumentConverter`, `StreamOpenOfficeDocumentConverter`

public abstract class AbstractOpenOfficeDocumentConverter extends Object implements DocumentConverter

## Field Summary

Fields
Modifier and Type
Field
Description
`protected OpenOfficeConnection`
`openOfficeConnection`

## Constructor Summary

Constructors
Constructor
Description
`AbstractOpenOfficeDocumentConverter(OpenOfficeConnection connection)`
`AbstractOpenOfficeDocumentConverter(OpenOfficeConnection openOfficeConnection, DocumentFormatRegistry documentFormatRegistry)`

## Method Summary

Modifier and Type
Method
Description
`void`
`convert(File inputFile, DocumentFormat inputFormat, File outputFile, DocumentFormat outputFormat)`
Convert a document.
`void`
`convert(File inputFile, File outputFile)`
Convert a document.
`void`
`convert(File inputFile, File outputFile, DocumentFormat outputFormat)`
Convert a document.
`void`
`convert(InputStream inputStream, DocumentFormat inputFormat, OutputStream outputStream, DocumentFormat outputFormat)`
Convert a document.
`protected abstract void`
`convertInternal(File inputFile, DocumentFormat inputFormat, File outputFile, DocumentFormat outputFormat)`
`protected abstract void`
`convertInternal(InputStream inputStream, DocumentFormat inputFormat, OutputStream outputStream, DocumentFormat outputFormat)`
`protected Map`
`getDefaultLoadProperties()`
`protected DocumentFormatRegistry`
`getDocumentFormatRegistry()`
`protected static com.sun.star.beans.PropertyValue`
`property(String name, Object value)`
`protected void`
`refreshDocument(com.sun.star.lang.XComponent document)`
`void`
`setDefaultLoadProperty(String name, Object value)`
`protected static com.sun.star.beans.PropertyValue[]`
`toPropertyValues(Map properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### openOfficeConnection

protected OpenOfficeConnection openOfficeConnection

## Constructor Details

### AbstractOpenOfficeDocumentConverter

public AbstractOpenOfficeDocumentConverter(OpenOfficeConnection connection)

### AbstractOpenOfficeDocumentConverter

public AbstractOpenOfficeDocumentConverter(OpenOfficeConnection openOfficeConnection, DocumentFormatRegistry documentFormatRegistry)

## Method Details

### setDefaultLoadProperty

public void setDefaultLoadProperty(String name, Object value)

### getDefaultLoadProperties

protected Map getDefaultLoadProperties()

### getDocumentFormatRegistry

protected DocumentFormatRegistry getDocumentFormatRegistry()

### convert

public void convert(File inputFile, File outputFile)
Description copied from interface: `DocumentConverter`
Convert a document. Both input and output formats are guessed from the file extension.

Specified by:
  `convert` in interface `DocumentConverter`
Parameters:
  `inputFile` -
  `outputFile` -

### convert

public void convert(File inputFile, File outputFile, DocumentFormat outputFormat)
Description copied from interface: `DocumentConverter`
Convert a document. The input format is guessed from the file extension.

Specified by:
  `convert` in interface `DocumentConverter`
Parameters:
  `inputFile` -
  `outputFile` -
  `outputFormat` -

### convert

public void convert(InputStream inputStream, DocumentFormat inputFormat, OutputStream outputStream, DocumentFormat outputFormat)
Description copied from interface: `DocumentConverter`
Convert a document.

Note that this method does not close `inputStream` and `outputStream`.

Specified by:
  `convert` in interface `DocumentConverter`
Parameters:
  `inputStream` -
  `inputFormat` -
  `outputStream` -
  `outputFormat` -

### convert

public void convert(File inputFile, DocumentFormat inputFormat, File outputFile, DocumentFormat outputFormat)
Description copied from interface: `DocumentConverter`
Convert a document.

Specified by:
  `convert` in interface `DocumentConverter`
Parameters:
  `inputFile` -
  `inputFormat` -
  `outputFile` -
  `outputFormat` -

### convertInternal

protected abstract void convertInternal(InputStream inputStream, DocumentFormat inputFormat, OutputStream outputStream, DocumentFormat outputFormat)

### convertInternal

protected abstract void convertInternal(File inputFile, DocumentFormat inputFormat, File outputFile, DocumentFormat outputFormat)

### refreshDocument

protected void refreshDocument(com.sun.star.lang.XComponent document)

### property

protected static com.sun.star.beans.PropertyValue property(String name, Object value)

### toPropertyValues

protected static com.sun.star.beans.PropertyValue[] toPropertyValues(Map properties)